# RPM specfile for monkeytalk module
# Generated Fri Jun 14 18:45:43 2002 GMT by Ximian build system
# $Id: bb_do,v 1.186 2002/06/10 19:52:03 peter Exp $
# from $Id: ximian-build.conf,v 1.20 2002/02/26 16:35:27 dobey Exp $

%define nam	monkeytalk
%define ver	1.0.5
%define ximrev	1

Name:     	monkeytalk
Version: 	1.0.5
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.ximian.com/
Source0:	monkeytalk-1.0.5.tar.gz
Summary:	Ximian's online support chat client
Group:		Applications/Internet
Provides:	ximian-monkeytalk = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Ximian Monkeytalk allows users to ask questions of Ximian Support staff and eathother, for free and in real-time.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.ximian-logos ChangeLog INSTALL NEWS README
/usr/bin/*
/usr/share/gnome/apps/Utilities/*
/usr/share/pixmaps/*
/usr/share/monkeytalk/*
/usr/*/locale/*/LC_MESSAGES/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n monkeytalk-1.0.5
    ;;
all)
%setup  -q -n monkeytalk-1.0.5
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Jun 14 2002 Ximian, Inc.

- Version: 1.0.5-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Mar 22 2002 Ximian, Inc.

- Version: 1.0.4-1.ximian.1
- Summary: New build.
- New automated build.

